=== debian/changelog ===
ros-crystal-sqlite3-vendor (0.0.7-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-crystal-sqlite3-vendor (0.0.6-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 27 Feb 2019 08:00:00 -0000

ros-crystal-sqlite3-vendor (0.0.5-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-crystal-sqlite3-vendor (0.0.4-0bionic) bionic; urgency=high

  * Build position independent (#79 <https://github.com/bsinno/rosbag2/issues/79>)
  * Build sqlite3 as shared library (#78 <https://github.com/bsinno/rosbag2/issues/78>)
  * 0.0.3
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-crystal-sqlite3-vendor (0.0.2-0bionic) bionic; urgency=high

  * depend on sqlite3 in vendor package
  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-sqlite3-vendor (0.0.1-0bionic) bionic; urgency=high

  * add sqlite3 vendor package for cross-platform capabilities (#5 <https://github.com/ros2/rosbag2/issues/5>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@googlemail.com>  Tue, 11 Dec 2018 08:00:00 -0000
